what is the right way to install

I am using FED 2.6.11-1.14_FC3
If I manually download ruby and install it it places it at
/usr/local/lib
(When I use yum it installs it at /usr/lib, which gets an error because
of, I think, the PATH)
When I continue the manual way downloading rubygems and 'gem install
rails'
it works untill I use:

I am using FED 2.6.11-1.14_FC3
If I manually download ruby and install it it places it at
/usr/local/lib
(When I use yum it installs it at /usr/lib, which gets an error
because
of, I think, the PATH)
When I continue the manual way downloading rubygems and 'gem install
rails'
it works untill I use:
----
class Story <ActiveRecord::Base;end
s=Story.new
-------
Where it gets into an error looking for sqlite3

Because I would like to install it with yum, because it is logic, I
think, and easier, I would like to know how to do it properly.

Well you'll need 2 things: sqlite3 itself (& dec headers) which you
should install whatever way you fancy. On top of that you need the
ruby bindings, which you should install via rubygems:
gem install sqlite3-ruby

Fred